%define _python_bytecompile_errors_terminate_build 0


Name: kate
Summary: Advanced text editor
Version: 18.08.2
Group: Graphical desktop/KDE5
Release: %mkrel 1
License: GPLv2 and LGPLv2
Source: http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
Patch0: kwrite-kdesu.patch
Patch1: kate-kdesu.patch
BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------

BuildRequires: git-devel
BuildRequires: %{_lib}hunspell-devel
BuildRequires: %{_lib}xslt-devel
BuildRequires: %{_lib}qjson-devel

#BuildRequires: subversion-devel
BuildRequires: binutils-devel
BuildRequires: boost-devel
BuildRequires: libltdl-devel
BuildRequires: antlr-tool
BuildRequires: antlr3-C
BuildRequires: libxml2-utils
BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl

BuildRequires: kconfig-devel
BuildRequires: kdoctools-devel
BuildRequires: kguiaddons-devel
BuildRequires: kiconthemes-devel
BuildRequires: ki18n-devel
BuildRequires: kinit-devel
BuildRequires: kjobwidgets-devel
BuildRequires: kio-devel
BuildRequires: kparts-devel
BuildRequires: ktexteditor-devel
BuildRequires: kwindowsystem-devel
BuildRequires: kxmlgui-devel
BuildRequires: kiconthemes-devel
BuildRequires: kwallet-devel
BuildRequires: plasma-framework-devel
BuildRequires: kitemmodels-devel
BuildRequires: threadweaver-devel
BuildRequires: knewstuff-devel
BuildRequires: kcrash-devel
BuildRequires: kactivities5-devel

Requires: konsole
Requires: ktexteditor


%description
A multi-document, multi-view text editor for KDE.

%files
%_kf5_bindir/kate
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.katesessions
%_qt5_plugindir/plasma/dataengine/plasma_engine_katesessions.so
%_kf5_datadir/applications/org.kde.kate.desktop
%_iconsdir/*/*/*/kate.*
%_kf5_datadir/kateproject/kateproject.example
%_kf5_datadir/katexmltools/
%_kf5_datadir/kservices5/plasma-applet-org.kde.plasma.katesessions.desktop
%_kf5_datadir/kservices5/plasma-dataengine-katesessions.desktop
%_kf5_datadir/plasma/services/org.kde.plasma.katesessions.operations
%_kf5_datadir/metainfo/org.kde.kate.appdata.xml
%_kf5_datadir/metainfo/org.kde.plasma.katesessions.appdata.xml
%_kf5_datadir/locale/*/LC_MESSAGES/kate*
#------------------------------------------------------------------------------

%package handbook
Summary: Kate handbook
BuildArch: noarch
Requires:  kate
Group: Documentation 
%description handbook
This package provides kate handbook

%files handbook
%doc %_kf5_docdir/HTML/*/kate
%doc %_kf5_docdir/HTML/*/katepart
%_mandir/man1/kate.1.*
%_mandir/*/man1/kate.1.*
 #------------------------------------------------------------------------------
 
%package -n ktexteditor-plugins
Summary: Ktexteditor interfaces
Group: Graphical desktop/KDE5
Provides: kate-plugin-pate

%description -n ktexteditor-plugins
The KTextEditor interfaces - also called KTE interfaces - are a set of
well-defined interfaces which an application or library can implement to provide
advanced plain text editing services.

%files -n ktexteditor-plugins
%_qt5_plugindir/ktexteditor


#------------------------------------------------------------------------------

%package -n kwrite
Summary: Simple text editor for KDE 4
Group: Graphical desktop/KDE5
Requires: ktexteditor

%description -n kwrite
KWrite is a text editor for KDE, based on the Kate's editor component.
Features :
    Syntax highlighting according to the file type
    Word completion
    Auto-identation
    Plugin support
    Vi input mode

%files -n kwrite
%_kf5_bindir/kwrite
%_kf5_datadir/applications/org.kde.kwrite.desktop
%_iconsdir/*/*/*/*
%_kf5_datadir/metainfo/org.kde.kwrite.appdata.xml
%_kf5_datadir/locale/*/LC_MESSAGES/kwrite*
%_kf5_datadir/locale/*/LC_MESSAGES/kterustcompletion.mo
%_kf5_datadir/locale/*/LC_MESSAGES/plasma_applet_org.kde.plasma.katesessions.mo
%_kf5_datadir/locale/*/LC_MESSAGES/tabswitcherplugin.mo
%_kf5_datadir/locale/*/LC_MESSAGES/ktexteditorpreviewplugin.mo
#------------------------------------------------------------------------------

%package -n kwrite-handbook
Summary: Kwrite handbook
Requires:  kwrite
BuildArch: noarch
Group: Documentation 

%description -n kwrite-handbook
This package provides Kwrite handbook

%files -n kwrite-handbook
%doc %_kf5_docdir/HTML/*/kwrite

#------------------------------------------------------------------------------

%prep
%setup -q 
%apply_patches


%build
export LD=/usr/bin/ld.gold 
%cmake_kf5
%make

%install
rm -rf %buildroot
%make_install -C build

# Remove static libs
rm -rf %{buildroot}/%{_kde_libdir}/libacomment.a

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Editors" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%changelog
* Sun Jan 06 2019 adrianomorselli <adrianomorselli> 18.08.2-1uplos2019
- update
